## konversation 22.12.1

=== debian/changelog ===
konversation (22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jan 2023 11:17:32 +0000

konversation (22.12.0-2ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/patches: Retain kubuntu_default_channels.diff in place of
      debian equivalent.
    - debian/patches: don't adopt debian_debug_autoreplace.diff
    - Keep Kubuntu VCS  and maintainer fields.
    - Update upstream signing key.

 -- Rik Mills <rikmills@kde.org>  Wed, 28 Dec 2022 11:06:06 +0000

konversation (22.12.0-2) unstable; urgency=medium

  * Upload with a correctly released changelog.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 16:04:49 +0100

konversation (22.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.08.3).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.1, no change required.
  * Added myself to the uploaders.
  * New upstream release (22.11.90).
  * Update build-deps and deps with the info from cmake.
  * Update the list of installed files from build logs.
  * New upstream release (22.12.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 00:13:02 +0100

konversation (22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:12:56 +0000

konversation (22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:09:12 +0000

konversation (22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Nov 2022 10:52:45 +0000

konversation (22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.2)
  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:12:20 +0000

konversation (21.12.3-1) unstable; urgency=medium

  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - add libqt5x11extras5-dev

 -- Pino Toscano <pino@debian.org>  Sun, 06 Mar 2022 13:39:56 +0100

konversation (21.08.0-1) unstable; urgency=medium

  * New upstream release.
  * Update the upstream GPG signing key.
  * Bump Standards-Version to 4.6.0, no changes required.
  * Update the patches:
    - debian_channel.diff: update
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.16
    - bump KF packages to 5.74.0
    - bump qca to 2.2.0
  * Use execute_after_dh_install-arch to avoid invoking dh_install manually,
    and to remove the manual check for arch:any packages being built.
  * Drop the migration from konversation-dbg, no more needed after two Debian
    stable releases.

 -- Pino Toscano <pino@debian.org>  Sun, 22 Aug 2021 10:21:33 +0200

=== debian/control ===
Source: konversation
Section: net
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Pino Toscano <pino@debian.org>,
Build-Depends: cmake (>= 3.16.0~),
               debhelper-compat (= 13),
               dh-python,
               extra-cmake-modules (>= 5.91.0~),
               gettext,
               libkf5archive-dev (>= 5.91.0~),
               libkf5bookmarks-dev (>= 5.91.0~),
               libkf5config-dev (>= 5.91.0~),
               libkf5configwidgets-dev (>= 5.91.0~),
               libkf5coreaddons-dev (>= 5.91.0~),
               libkf5crash-dev (>= 5.91.0~),
               libkf5dbusaddons-dev (>= 5.91.0~),
               libkf5doctools-dev (>= 5.91.0~),
               libkf5globalaccel-dev (>= 5.74.0~),
               libkf5i18n-dev (>= 5.91.0~),
               libkf5idletime-dev (>= 5.91.0~),
               libkf5itemviews-dev (>= 5.91.0~),
               libkf5kio-dev (>= 5.91.0~),
               libkf5newstuff-dev (>= 5.91.0~),
               libkf5notifications-dev (>= 5.91.0~),
               libkf5notifyconfig-dev (>= 5.91.0~),
               libkf5parts-dev (>= 5.91.0~),
               libkf5wallet-dev (>= 5.91.0~),
               libkf5widgetsaddons-dev (>= 5.91.0~),
               libkf5windowsystem-dev (>= 5.91.0~),
               libphonon4qt5-dev (>= 4.6.60),
               libphonon4qt5experimental-dev (>= 4.6.60),
               libqca-qt5-2-dev (>= 2.2.0~),
               libqt5x11extras5-dev (>= 5.15.0~),
               pkg-kde-tools (>= 0.15.16),
               python3:any,
               qtbase5-dev (>= 5.15.2~),
               qtmultimedia5-dev (>= 5.15.2~),
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://konversation.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/konversation
Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/konversation

Package: konversation
Architecture: any
Depends: konversation-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Provides: irc
Description: user friendly Internet Relay Chat (IRC) client for KDE
 Konversation is a client for the Internet Relay Chat (IRC) protocol.
 It is easy to use and well-suited for novice IRC users, but novice
 and experienced users alike will appreciate its many features:
 .
       * Standard IRC features
       * Easy to use graphical interface
       * Multiple server and channel tabs in a single window
       * IRC color support
       * Pattern-based message highlighting and OnScreen Display
       * Multiple identities for different servers
       * Multi-language scripting support (with DCOP)
       * Customizable command aliases
       * NickServ-aware log-on (for registered nicknames)
       * Smart logging
       * Traditional or enhanced-shell-style nick completion
       * DCC file transfer with resume support

Package: konversation-data
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}, ${python3:Depends}
Recommends: konversation (>= ${source:Version})
Description: data files for Konversation
 Konversation is a client for the Internet Relay Chat (IRC) protocol. This
 package contains data files for Konversation. It is probably of no use if
 `konversation' package is not installed.

## konversation 22.12.3

=== data/scripting_support/python/konversation/CMakeLists.txt ===
install(FILES
    __init__.py
    dbus.py
    i18n.py
    DESTINATION ${KDE_INSTALL_DATADIR}/konversation/scripting_support/python/konversation
)

=== debian/changelog ===
konversation (22.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Mar 2023 11:57:57 +0100

konversation (22.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.1).
  * Bump Standards-Version to 4.6.2, no change required.
  * Add Albert Astals Cid’s master key to upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Jan 2023 23:38:32 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: konversation
 Section: net
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Pino Toscano <pino@debian.org>,
 Build-Depends: cmake (>= 3.16.0~),
@@ -38,18 +37,18 @@
                python3:any,
                qtbase5-dev (>= 5.15.2~),
                qtmultimedia5-dev (>= 5.15.2~),
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://konversation.kde.org/
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/konversation
-Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/konversation
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/konversation.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/konversation
 
 Package: konversation
 Architecture: any
 Depends: konversation-data (= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
-Provides: irc
+Provides: irc,
 Description: user friendly Internet Relay Chat (IRC) client for KDE
  Konversation is a client for the Internet Relay Chat (IRC) protocol.
  It is easy to use and well-suited for novice IRC users, but novice
@@ -70,8 +69,8 @@
 
 Package: konversation-data
 Architecture: all
-Depends: ${misc:Depends}, ${perl:Depends}, ${python3:Depends}
-Recommends: konversation (>= ${source:Version})
+Depends: ${misc:Depends}, ${perl:Depends}, ${python3:Depends},
+Recommends: konversation (>= ${source:Version}),
 Description: data files for Konversation
  Konversation is a client for the Internet Relay Chat (IRC) protocol. This
  package contains data files for Konversation. It is probably of no use if

## konversation 23.08.0

=== debian/changelog ===
konversation (23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 12:57:47 +0100

konversation (23.07.90-0ubuntu1) mantic; urgency=medium

  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:37:23 +0100

konversation (23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:51:44 +0100

konversation (23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 11:59:25 +0100

konversation (22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:41:32 +0000

konversation (22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:22:14 -0600

## konversation 23.08.1

=== debian/changelog ===
konversation (23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 12:02:48 +0100

## konversation 23.08.4

=== debian/changelog ===
konversation (23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:19:00 +0000

konversation (23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:39:04 +0000

konversation (23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:34:55 +0100

## konversation 23.08.5

=== src/CMakeLists.txt ===
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/config)
include_directories(config dcc irc viewer upnp)

add_executable(konversation)

target_sources(konversation PRIVATE
    #====================================
    #=== Application
    config/preferences.cpp
    config/preferences.h

    application.cpp
    application.h
    dbus.cpp
    dbus.h
    mainwindow.cpp
    mainwindow.h
    main.cpp
    common.cpp
    common.h
    sound.cpp
    sound.h
    ssllabel.cpp
    ssllabel.h
    statusbar.cpp
    statusbar.h
    bookmarkhandler.cpp
    bookmarkhandler.h
    scriptlauncher.cpp
    scriptlauncher.h
    konsolepanel.cpp
    konsolepanel.h
    notificationhandler.cpp
    notificationhandler.h
    launcherentryhandler.cpp
    launcherentryhandler.h
    awaymanager.cpp
    awaymanager.h
    connectionmanager.cpp
    connectionmanager.h
    connectionsettings.cpp
    connectionsettings.h
    identity.cpp
    identity.h
    identitydialog.cpp
    identitydialog.h

    konversation.qrc

    #=== GUI
    urlcatcher.cpp
    urlcatcher.h
    queuetuner.cpp
    queuetuner.h
    quickconnectdialog.cpp
    quickconnectdialog.h
)

target_sources(konversation PRIVATE
    #== IRC
    irc/server.cpp

    irc/query.cpp
    irc/channel.cpp
    irc/channellistpanel.cpp
    irc/channelnick.cpp
    irc/modebutton.cpp
    irc/joinchanneldialog.cpp
    irc/invitedialog.cpp
    irc/topichistorymodel.cpp

    irc/irccharsets.cpp

    irc/nick.cpp
    irc/nickinfo.cpp
    irc/nicklistview.cpp
    irc/nicksonline.cpp
    irc/nicksonlineitem.cpp

    #=== Server
    irc/inputfilter.cpp
    irc/outputfilter.cpp
    irc/outputfilterresolvejob.cpp
    irc/ircqueue.cpp
    irc/servergroupdialog.cpp
    irc/servergroupsettings.cpp
    irc/serverison.cpp
    irc/serverlistdialog.cpp
    irc/serverlistview.cpp
    irc/serversettings.cpp
)

ki18n_wrap_ui(konversation
    irc/channellistpanelui.ui
    irc/channeldialogui.ui
    irc/joinchannelui.ui
    irc/serverdialogui.ui
    irc/servergroupdialogui.ui
    irc/serverlistdialogui.ui
    irc/invitedialog.ui
)

    #=== Configuration dialog pages
target_sources(konversation PRIVATE
    config/alias_config.cpp
    config/alias_config.h
    config/autoreplace_config.cpp
    config/autoreplace_config.h
    config/configdialog.cpp
    config/configdialog.h
    config/connectionbehavior_config.cpp
    config/connectionbehavior_config.h
    config/dcc_config.cpp
    config/dcc_config.h
    config/highlight_config.cpp
    config/highlight_config.h
    config/highlighttreewidget.cpp
    config/highlighttreewidget.h
    config/ignore_config.cpp
    config/ignore_config.h
    config/launcherentry_config.cpp
    config/launcherentry_config.h
    config/nicklistbehavior_config.cpp
    config/nicklistbehavior_config.h
    config/osd_config.cpp
    config/osd_config.h
    config/quickbuttons_config.cpp
    config/quickbuttons_config.h
    config/settingsdialog.cpp
    config/settingsdialog.h
    config/settingspage.h
    config/tabs_config.cpp
    config/tabs_config.h
    config/theme_config.cpp
    config/theme_config.h
    config/warnings_config.cpp
    config/warnings_config.h
)

ki18n_wrap_ui(konversation
    config/alias_configui.ui
    config/autoreplace_configui.ui
    config/chatwindowappearance_config.ui
    config/chatwindowbehaviour_config.ui
    config/colorsappearance_config.ui
    config/connectionbehavior_config.ui
    config/dcc_configui.ui
    config/fontappearance_config.ui
    config/generalbehavior_configui.ui
    config/highlight_configui.ui
    config/ignore_configui.ui
    config/launcherentry_config.ui
    config/log_config.ui
    config/nicklistbehavior_configui.ui
    config/osd_configui.ui
    config/quickbuttons_configui.ui
    config/tabnotifications_config.ui
    config/tabs_configui.ui
    config/theme_configui.ui
    config/warnings_configui.ui
    config/watchednicknames_configui.ui
)

    #=== Viewer
target_sources(konversation PRIVATE
    viewer/awaylabel.cpp
    viewer/awaylabel.h
    viewer/channeloptionsdialog.cpp
    viewer/channeloptionsdialog.h
    viewer/chatwindow.cpp
    viewer/chatwindow.h
    viewer/editnotifydialog.cpp
    viewer/editnotifydialog.h
    viewer/highlight.cpp
    viewer/highlight.h
    viewer/highlightviewitem.cpp
    viewer/highlightviewitem.h
    viewer/ignore.cpp
    viewer/ignore.h
    viewer/ignorelistviewitem.cpp
    viewer/ignorelistviewitem.h
    viewer/images.cpp
    viewer/images.h
    viewer/insertchardialog.cpp
    viewer/insertchardialog.h
    viewer/irccolorchooser.cpp
    viewer/irccolorchooser.h
    viewer/irccontextmenus.cpp
    viewer/irccontextmenus.h
    viewer/ircinput.cpp
    viewer/ircinput.h
    viewer/ircviewbox.cpp
    viewer/ircviewbox.h
    viewer/ircview.cpp
    viewer/ircview.h
    viewer/logfilereader.cpp
    viewer/logfilereader.h
    viewer/nickiconset.cpp
    viewer/nickiconset.h
    viewer/osd.cpp
    viewer/osd.h
    viewer/pasteeditor.cpp
    viewer/pasteeditor.h
    viewer/quickbutton.cpp
    viewer/quickbutton.h
    viewer/rawlog.cpp
    viewer/rawlog.h
    viewer/searchbar.cpp
    viewer/searchbar.h
    viewer/statuspanel.cpp
    viewer/statuspanel.h
    viewer/topicedit.cpp
    viewer/topicedit.h
    viewer/topichistoryview.cpp
    viewer/topichistoryview.h
    viewer/topiclabel.cpp
    viewer/topiclabel.h
    viewer/trayicon.cpp
    viewer/trayicon.h
    viewer/viewcontainer.cpp
    viewer/viewcontainer.h
    viewer/viewspringloader.cpp
    viewer/viewspringloader.h
    viewer/viewtree.cpp
    viewer/viewtree.h
)

ki18n_wrap_ui(konversation
    viewer/channeloptionsui.ui
    viewer/irccolorchooserui.ui
    viewer/pasteeditor.ui
)

     #=== DCC
target_sources(konversation PRIVATE
    dcc/chatcontainer.cpp
    dcc/chatcontainer.h
    dcc/chat.cpp
    dcc/chat.h
    dcc/dcccommon.cpp
    dcc/dcccommon.h
    dcc/dccfiledialog.cpp
    dcc/dccfiledialog.h
    dcc/recipientdialog.cpp
    dcc/recipientdialog.h
    dcc/resumedialog.cpp
    dcc/resumedialog.h
    dcc/transfer.cpp
    dcc/transferdetailedinfopanel.cpp
    dcc/transferdetailedinfopanel.h
    dcc/transfer.h
    dcc/transferlistmodel.cpp
    dcc/transferlistmodel.h
    dcc/transfermanager.cpp
    dcc/transfermanager.h
    dcc/transferpanel.cpp
    dcc/transferpanel.h
    dcc/transferrecv.cpp
    dcc/transferrecv.h
    dcc/transfersend.cpp
    dcc/transfersend.h
    dcc/transferview.cpp
    dcc/transferview.h
    dcc/whiteboardcolorchooser.cpp
    dcc/whiteboardcolorchooser.h
    dcc/whiteboard.cpp
    dcc/whiteboardfontchooser.cpp
    dcc/whiteboardfontchooser.h
    dcc/whiteboardglobals.cpp
    dcc/whiteboardglobals.h
    dcc/whiteboard.h
    dcc/whiteboardpaintarea.cpp
    dcc/whiteboardpaintarea.h
    dcc/whiteboardtoolbar.cpp
    dcc/whiteboardtoolbar.h
)

ki18n_wrap_ui(konversation
     dcc/transferdetailedinfopanelui.ui
     dcc/transferdetailedtimeinfopanelui.ui
     dcc/whiteboardtoolbarui.ui
     dcc/whiteboardfontchooserui.ui
)

if (Qca-qt${QT_MAJOR_VERSION}_FOUND)
    target_sources(konversation PRIVATE
        cipher.cpp)
endif ()

target_sources(konversation PRIVATE
    upnp/soap.cpp
    upnp/soap.h
    upnp/upnpdescriptionparser.cpp
    upnp/upnpdescriptionparser.h
    upnp/upnpmcastsocket.cpp
    upnp/upnpmcastsocket.h
    upnp/upnprouter.cpp
    upnp/upnprouter.h
)

ki18n_wrap_ui(konversation
    identitydialog.ui
    queuetunerbase.ui
    viewer/searchbarbase.ui
)

kconfig_add_kcfg_files(konversation config/preferences_base.kcfgc)
kconfig_add_kcfg_files(konversation config/konversation_state.kcfgc)

ecm_qt_declare_logging_category(konversation
    HEADER konversation_log.h
    IDENTIFIER KONVERSATION_LOG
    CATEGORY_NAME konversation
    DESCRIPTION "Konversation"
    EXPORT KONVERSATION
)

ecm_setup_version(${KONVERSATION_VERSION}
    VARIABLE_PREFIX KONVI
    VERSION_HEADER version.h
)

# Sets the icon on Windows and OSX
file(GLOB ICONS_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/../data/images/icons/*apps-konversation.png")
ecm_add_app_icon(konversation ICONS ${ICONS_SRCS})

target_link_libraries(konversation
    Qt::Multimedia
    Qt::Network
    Qt::Widgets
    KF5::Archive
    KF5::Bookmarks
    KF5::ConfigWidgets
    KF5::Crash
    KF5::I18n
    KF5::IdleTime
    KF5::NotifyConfig
    KF5::KIOFileWidgets
    KF5::KIOWidgets
    KF5::Parts
    KF5::Wallet
    KF5::WidgetsAddons
    KF5::DBusAddons
    KF5::CoreAddons
    KF5::Notifications
    KF5::WindowSystem
    KF5::ItemViews
    KF5::NewStuffWidgets
)
if (QT_MAJOR_VERSION STREQUAL "6")
    target_link_libraries(konversation Qt6::Core5Compat)  # QTextCodec
endif()

if(TARGET KF5::GlobalAccel)
    target_link_libraries(konversation KF5::GlobalAccel)
endif()

if (Qca-qt${QT_MAJOR_VERSION}_FOUND)
    target_link_libraries(konversation qca-qt${QT_MAJOR_VERSION})
endif ()
if (WIN32)
  target_link_libraries(konversation ws2_32) # for symbols from winsock2.h: ntohl, etc.
endif()

set_target_properties(konversation PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/MacOSXBundleInfo.plist.in)
install(TARGETS konversation ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

ecm_qt_install_logging_categories(
    EXPORT KONVERSATION
    FILE konversation.categories
    DESTINATION "${KDE_INSTALL_LOGGINGCATEGORIESDIR}"
)

=== debian/changelog ===
konversation (23.08.5-0ubuntu4) noble; urgency=high

  * No change rebuild against libqt5core5t64, libqt5dbus5t64,
    libqt5gui5t64, libqt5network5t64, libqt5widgets5t64, libqt5xml5t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:43:20 +0200

konversation (23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 09:08:10 +0000

konversation (23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:12:55 +0000

konversation (23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 10:11:40 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: konversation
 Section: net
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Pino Toscano <pino@debian.org>,
 Build-Depends: cmake (>= 3.16.0~),
@@ -37,18 +38,18 @@
                python3:any,
                qtbase5-dev (>= 5.15.2~),
                qtmultimedia5-dev (>= 5.15.2~),
-Standards-Version: 4.6.2
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://konversation.kde.org/
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/konversation.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/konversation
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/konversation
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/konversation
 
 Package: konversation
 Architecture: any
 Depends: konversation-data (= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
-Provides: irc,
+Provides: irc
 Description: user friendly Internet Relay Chat (IRC) client for KDE
  Konversation is a client for the Internet Relay Chat (IRC) protocol.
  It is easy to use and well-suited for novice IRC users, but novice
@@ -69,8 +70,8 @@
 
 Package: konversation-data
 Architecture: all
-Depends: ${misc:Depends}, ${perl:Depends}, ${python3:Depends},
-Recommends: konversation (>= ${source:Version}),
+Depends: ${misc:Depends}, ${perl:Depends}, ${python3:Depends}
+Recommends: konversation (>= ${source:Version})
 Description: data files for Konversation
  Konversation is a client for the Internet Relay Chat (IRC) protocol. This
  package contains data files for Konversation. It is probably of no use if

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

execute_after_dh_install-arch:
	# Install scripts README (and rename)
	cp -a data/scripts/README debian/konversation/usr/share/doc/konversation/README.scripts

override_dh_python3:
	dh_python3 -p konversation-data --shebang=/usr/bin/python3 /usr/share/konversation

%:
	dh  $@ --with kf5,python3

## konversation 24.08.2

=== debian/changelog ===
konversation (24.08.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian Experimental.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 02 Nov 2024 17:58:14 -0500

konversation (24.08.2-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Update build dependencies and rules for KF6.
  * Update Standards-Version to 4.7.0, no changes needed.

 -- Simon Quigley <tsimonq2@debian.org>  Sat, 02 Nov 2024 12:48:40 -0500

## konversation 24.12.0

=== debian/changelog ===
konversation (24.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2024 17:17:10 +0000

konversation (24.11.90-0ubuntu1) plucky; urgency=medium

  * New upstream (RC) release (24.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Nov 2024 14:12:00 +0000

konversation (24.11.80-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (24.11.80)

 -- Rik Mills <rikmills@kde.org>  Wed, 20 Nov 2024 14:54:02 +0000

konversation (24.08.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 11:44:22 +0000

## konversation 24.12.1

=== debian/changelog ===
konversation (24.12.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 14:36:17 +0000

=== debian/control ===
Source: konversation
Section: net
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Pino Toscano <pino@debian.org>,
Build-Depends: cmake (>= 3.16.0~),
               debhelper-compat (= 13),
               dh-python,
               extra-cmake-modules (>= 6.3.0~),
               gettext,
               libkf6archive-dev (>= 6.3.0~),
               libkf6bookmarks-dev (>= 6.3.0~),
               libkf6config-dev (>= 6.3.0~),
               libkf6configwidgets-dev (>= 6.3.0~),
               libkf6coreaddons-dev (>= 6.3.0~),
               libkf6crash-dev (>= 6.3.0~),
               libkf6dbusaddons-dev (>= 6.3.0~),
               libkf6doctools-dev (>= 6.3.0~),
               libkf6globalaccel-dev (>= 5.74.0~),
               libkf6i18n-dev (>= 6.3.0~),
               libkf6idletime-dev (>= 6.3.0~),
               libkf6itemviews-dev (>= 6.3.0~),
               libkf6kio-dev (>= 6.3.0~),
               libkf6newstuff-dev (>= 6.3.0~),
               libkf6notifications-dev (>= 6.3.0~),
               libkf6notifyconfig-dev (>= 6.3.0~),
               libkf6parts-dev (>= 6.3.0~),
               libkf6statusnotifieritem-dev (>= 6.3.0~),
               libkf6textwidgets-dev (>= 6.3.0~),
               libkf6wallet-dev (>= 6.3.0~),
               libkf6widgetsaddons-dev (>= 6.3.0~),
               libkf6windowsystem-dev (>= 6.3.0~),
               libphonon4qt6-dev,
               libphonon4qt6experimental-dev,
               libqca-qt6-dev,
               pkg-kde-tools,
               python3:any,
               qt6-5compat-dev (>= 6.4.0~),
               qt6-base-dev (>= 6.4.0~),
               qt6-multimedia-dev (>= 6.4.0~),
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://konversation.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/konversation
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/konversation

Package: konversation
Architecture: any
Depends: konversation-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Provides: irc,
Description: user friendly Internet Relay Chat (IRC) client for KDE
 Konversation is a client for the Internet Relay Chat (IRC) protocol.
 It is easy to use and well-suited for novice IRC users, but novice
 and experienced users alike will appreciate its many features:
 .
       * Standard IRC features
       * Easy to use graphical interface
       * Multiple server and channel tabs in a single window
       * IRC color support
       * Pattern-based message highlighting and OnScreen Display
       * Multiple identities for different servers
       * Multi-language scripting support (with DCOP)
       * Customizable command aliases
       * NickServ-aware log-on (for registered nicknames)
       * Smart logging
       * Traditional or enhanced-shell-style nick completion
       * DCC file transfer with resume support

Package: konversation-data
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}, ${python3:Depends},
Recommends: konversation (>= ${source:Version}),
Description: data files for Konversation
 Konversation is a client for the Internet Relay Chat (IRC) protocol. This
 package contains data files for Konversation. It is probably of no use if
 `konversation' package is not installed.

## konversation 24.12.2

=== debian/changelog ===
konversation (24.12.2-1) unstable; urgency=medium

  * New upstream release
  * Team upload

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sun, 02 Mar 2025 19:13:54 +0100

konversation (24.12.1-1) unstable; urgency=medium

  * New upstream release
  * Remove redundant patch

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Wed, 15 Jan 2025 17:17:27 +0100

konversation (24.12.0-2) unstable; urgency=medium

  [ Salvo 'LtWorf' Tomaselli ]
  * Include upstream patch to fix crash

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Tue, 24 Dec 2024 08:18:11 +0100

konversation (24.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.12.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 22 Dec 2024 09:21:27 +0100

## konversation 24.12.3

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.16 FATAL_ERROR)

# Release Service version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "24")
set (RELEASE_SERVICE_VERSION_MINOR "12")
set (RELEASE_SERVICE_VERSION_MICRO "3")
set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")

# Bump KONVERSATION_BASE_VERSION once new features are added
set(KONVERSATION_BASE_VERSION "1.10")
set(KONVERSATION_VERSION "${KONVERSATION_BASE_VERSION}.${RELEASE_SERVICE_COMPACT_VERSION}")

project(konversation VERSION ${KONVERSATION_VERSION})

set(QT_MIN_VERSION "6.4.0")
set(KF_MIN_VERSION "6.3.0")
set(KDE_COMPILERSETTINGS_LEVEL "5.85")

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMInstallIcons)
include(ECMSetupVersion)
include(ECMGenerateDBusServiceFile)
include(ECMDeprecationSettings)
include(ECMAddAppIcon)
include(ECMQtDeclareLoggingCategory)
include(CheckIncludeFile)
include(FeatureSummary)

find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED Core Multimedia Network Widgets)

#This is a RUNTIME dependency. I don't know of any way to indicate that the Tools
#component of the Qt package is needed at runtime, so trying to do so with Qt6Tools
#This hopefully provides the binary likely named /usr/lib64/qt6/bin/qdbus
find_package(Qt6Tools ${QT_MIN_VERSION} CONFIG REQUIRED)
set_package_properties(Qt6Tools PROPERTIES
    DESCRIPTION "Provider of qdbus binary"
    TYPE RUNTIME
    PURPOSE "Allows scripts to communicate with Konversation"
)

find_package(Qt6Core5Compat ${QT_MIN_VERSION} CONFIG REQUIRED) # QTextCodec

find_package(KF6 REQUIRED COMPONENTS
    Archive
    Bookmarks
    Codecs
    Config
    ConfigWidgets
    CoreAddons
    Crash
    DBusAddons
    DocTools
    I18n
    IdleTime
    ItemViews
    KIO
    NewStuff
    Notifications
    NotifyConfig
    Parts
    StatusNotifierItem
    TextWidgets
    Wallet
    WidgetsAddons
    WindowSystem
)

if(NOT WIN32)
    find_package(KF6 REQUIRED GlobalAccel)
endif()
set(HAVE_KGLOBALACCEL ${KF6GlobalAccel_FOUND})

if (UNIX AND NOT APPLE AND NOT HAIKU)
    set(HAVE_X11 TRUE)
endif()

find_package(Qca-qt6 2.2.0)
set_package_properties(Qca-qt6 PROPERTIES DESCRIPTION "Support for encryption"
                       URL "https://download.kde.org/stable/qca/"
                       TYPE OPTIONAL)
check_include_file("stropts.h" HAVE_STROPTS_H)

set(HAVE_QCA2 ${Qca-qt6_FOUND})

configure_file(config-konversation.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-konversation.h )
include_directories(${CMAKE_CURRENT_BINARY_DIR})

add_subdirectory(src)
add_subdirectory(data)
add_subdirectory(doc)

if(BUILD_TESTING)
    add_subdirectory(tests)
endif()

ki18n_install(po)
kdoctools_install(po)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
konversation (24.12.3-1ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - debian/patches: Retain kubuntu_default_channels.diff in place of
      debian equivalent.
    - debian/patches: don't adopt debian_debug_autoreplace.diff

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Mar 2025 12:52:32 +0000

konversation (24.12.3-1) unstable; urgency=medium

  * New upstream release
  * Team upload

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Fri, 07 Mar 2025 16:09:34 +0100

konversation (24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Mar 2025 08:46:21 +0000

konversation (24.12.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2025 14:20:51 +0000

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,14 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Pino Toscano <pino@debian.org>,
-Build-Depends: cmake (>= 3.16.0~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
+               cmake (>= 3.16.0~),
                extra-cmake-modules (>= 6.3.0~),
                gettext,
                libkf6archive-dev (>= 6.3.0~),
                libkf6bookmarks-dev (>= 6.3.0~),
+               libkf6codecs-dev,
                libkf6config-dev (>= 6.3.0~),
                libkf6configwidgets-dev (>= 6.3.0~),
                libkf6coreaddons-dev (>= 6.3.0~),
@@ -34,7 +35,7 @@
                libkf6windowsystem-dev (>= 6.3.0~),
                libphonon4qt6-dev,
                libphonon4qt6experimental-dev,
-               libqca-qt6-dev,
+               libqca-qt6-dev (>= 2.2.0~),
                pkg-kde-tools,
                python3:any,
                qt6-5compat-dev (>= 6.4.0~),

## konversation 25.04.0

=== debian/changelog ===
konversation (25.04.0-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Refresh copyright information.
  * Bump Standards-Version to 4.7.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 25 Apr 2025 22:31:21 +0200

konversation (25.04.0-1) unstable; urgency=medium

  * New upstream release
  * Team upload

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sun, 20 Apr 2025 12:39:15 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: konversation
 Section: net
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Pino Toscano <pino@debian.org>,
 Build-Depends: debhelper-compat (= 13),
@@ -41,11 +40,11 @@
                qt6-5compat-dev (>= 6.4.0~),
                qt6-base-dev (>= 6.4.0~),
                qt6-multimedia-dev (>= 6.4.0~),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://konversation.kde.org/
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/konversation
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/konversation
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/konversation.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/konversation
 
 Package: konversation
 Architecture: any

## konversation 25.04.3

=== debian/changelog ===
konversation (25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:49:51 +0100

konversation (25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 11:53:35 +0100

konversation (25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:12:18 +0100

konversation (25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 19:56:01 +0100

## konversation 25.07.80

=== debian/changelog ===
konversation (25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jul 2025 18:18:49 +0100

## konversation 25.07.90

=== debian/changelog ===
konversation (25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 17:53:42 +0100

## konversation 25.08.0

=== debian/changelog ===
konversation (25.08.0-0zneon+24.04+noble+release+build16) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 16:42:44 +0000

konversation (25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 12:34:59 +0000

konversation (25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 11:15:49 +0000

konversation (25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 10:34:23 +0000

konversation (25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 04:26:29 +0000

konversation (25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 11:09:08 +0000

konversation (24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 13:34:34 +0000

konversation (24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 14:43:48 +0000

konversation (24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 19:34:50 +0000

konversation (24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 18:33:01 +0000

konversation (24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 10:32:33 +0000

konversation (24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 21:05:17 +0000

konversation (24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 07:42:31 +0000

konversation (24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Jun 2024 09:58:55 +0000

konversation (24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 11:34:06 +0000

konversation (24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 17:03:21 +0000

konversation (24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 03:48:24 +0000

konversation (23.08.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Feb 2024 14:44:25 +0000

konversation (23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 16:27:18 +0000

konversation (23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Nov 2023 16:16:02 +0000

konversation (23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 17:04:01 +0000

konversation (23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Sep 2023 00:44:45 +0000

konversation (23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 09:32:07 +0000

konversation (23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Jun 2023 21:57:50 +0000

konversation (22.12.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 02 Mar 2023 12:48:38 +0000

konversation (22.12.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Feb 2023 17:16:11 +0000

konversation (22.12.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jan 2023 15:50:02 +0000

konversation (22.12.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Dec 2022 11:59:50 +0000

konversation (22.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Nov 2022 09:19:29 +0000

konversation (22.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 09 Sep 2022 12:09:15 +0000

konversation (22.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 18 Aug 2022 09:25:04 +0000

konversation (22.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jul 2022 12:09:39 +0000

konversation (22.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Jun 2022 20:38:14 +0000

konversation (22.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 May 2022 13:28:38 +0000

konversation (22.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 18 Apr 2022 12:41:28 +0000

konversation (21.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Mar 2022 10:59:24 +0000

konversation (21.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Feb 2022 11:02:14 +0000

konversation (21.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 06 Dec 2021 23:11:02 +0000

konversation (21.08.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Oct 2021 12:33:44 +0000

konversation (21.08.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Sep 2021 09:30:33 +0000

konversation (21.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Aug 2021 12:26:47 +0000

konversation (21.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 11:46:16 +0000

konversation (21.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021 08:19:23 +0000

konversation (21.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 May 2021 08:49:27 +0000

konversation (21.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Apr 2021 10:17:27 +0000

konversation (20.12.3-0neon) focal; urgency=medium

  * New release



## konversation 25.08.1

=== data/images/CMakeLists.txt ===
add_subdirectory(icons)
add_subdirectory(nickicons)

=== data/images/nickicons/alternative/CMakeLists.txt ===
install(
    FILES
        irc_admin.png
        irc_away.png
        irc_halfop.png
        irc_normal.png
        irc_op.png
        irc_owner.png
        irc_voice.png
        index.desktop
    DESTINATION ${KDE_INSTALL_DATADIR}/konversation/themes/alternative
)

=== data/images/nickicons/classic/CMakeLists.txt ===
install(
    FILES
        irc_admin.png
        irc_away.png
        irc_halfop.png
        irc_normal.png
        irc_op.png
        irc_owner.png
        irc_voice.png
        index.desktop
    DESTINATION ${KDE_INSTALL_DATADIR}/konversation/themes/classic
)

=== data/images/nickicons/smiling/CMakeLists.txt ===
install(
    FILES
        irc_admin.png
        irc_away.png
        irc_halfop.png
        irc_normal.png
        irc_op.png
        irc_owner.png
        irc_voice.png
        index.desktop
    DESTINATION ${KDE_INSTALL_DATADIR}/konversation/themes/smiling
)

=== debian/changelog ===
konversation (25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 06:56:02 +0100

konversation (25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:26:58 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: konversation
 Section: net
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Pino Toscano <pino@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16.0~),
+               debhelper-compat (= 13),
                dh-python,
-               cmake (>= 3.16.0~),
                extra-cmake-modules (>= 6.3.0~),
                gettext,
                libkf6archive-dev (>= 6.3.0~),
@@ -40,11 +41,11 @@
                qt6-5compat-dev (>= 6.4.0~),
                qt6-base-dev (>= 6.4.0~),
                qt6-multimedia-dev (>= 6.4.0~),
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://konversation.kde.org/
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/konversation.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/konversation
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/konversation
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/konversation
 
 Package: konversation
 Architecture: any

## konversation 25.08.1+p24.04+vstable+git20250926.0929

=== debian/changelog ===
konversation (25.08.1+p24.04+vstable+git20250926.0929-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 26 Sep 2025 09:29:52 +0000

konversation (25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 08:59:25 +0000

## konversation 25.08.1+p24.04+vstable+git20251002.0436

=== debian/changelog ===
konversation (25.08.1+p24.04+vstable+git20251002.0436-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 02 Oct 2025 04:37:04 +0000
